<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{validationParametersManager.getValidationParametersFromUrl()}
            <h1>#{messages['gazelle.HL7Common.EditValidationParameter']} #{validationParametersManager.validationParameters.id}</h1>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.ValidationParameters']}</ui:define>
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="messageType"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.MessageType']}</ui:define>
                        <h:inputText id="messageType" required="true"
                                     value="#{validationParametersManager.validationParameters.messageType}"
                                     styleClass="form-control"/>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="profileOID"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.ProfileOID_2']}</ui:define>
                        <h:inputText id="profileOID" required="true"
                                     value="#{validationParametersManager.validationParameters.profileOID}"
                                     styleClass="form-control"/>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="validatorTypes"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.ValidatorTypes']}</ui:define>
                        <h:selectOneMenu required="true" id="validatorTypes" styleClass="form-control gzl-select-text"
                                         value="#{validationParametersManager.validationParameters.validatorType}">
                            <f:selectItems value="#{validationParametersManager.getValidatorTypes()}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="actor"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.Actor']}</ui:define>
                        <h:selectOneMenu required="true" id="actor" styleClass="form-control gzl-select-text"
                                         value="#{validationParametersManager.validationParameters.actor}">
                            <s:selectItems value="#{validationParametersManager.listAllActors()}"
                                           var="currentActor" label="#{currentActor.keyword}"
                                           noSelectionLabel="#{messages['gazelle.HL7Common.PleaseSelect_2']}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="domain"/>
                        <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                        <h:selectOneMenu required="true" id="domain" styleClass="form-control gzl-select-text"
                                         value="#{validationParametersManager.validationParameters.domain}">
                            <s:selectItems value="#{validationParametersManager.listAllDomains()}" var="currentDomain"
                                           label="#{currentDomain.keyword}" noSelectionLabel="#{messages['gazelle.HL7Common.PleaseSelect_2']}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="transaction"/>
                        <ui:define name="label">#{messages['gazelle.HL7Common.Transaction']}</ui:define>
                        <h:selectOneMenu required="true" id="transaction" styleClass="form-control gzl-select-text"
                                         value="#{validationParametersManager.validationParameters.transaction}">
                            <s:selectItems value="#{validationParametersManager.listAllTransactions()}" var="currentTransaction"
                                           label="#{currentTransaction.keyword}" noSelectionLabel="#{messages['gazelle.HL7Common.PleaseSelect_2']}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                </div>
                <ui:define name="panel_footer">
                    <a4j:commandButton id="saveConfigButton"
                                       action="#{validationParametersManager.saveValidationParameters()}"
                                       value="#{messages['gazelle.simulator.Save']}"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton id="backButton"
                                       action="/configuration/validationParametersList.seam"
                                       value="#{messages['gazelle.HL7Common.Back_2']}"
                                       styleClass="gzl-btn"
                                       execute="@this"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>